function dYfuncvecdV = ODEfun(V,Yfuncvec); 
Fa = Yfuncvec(1); 
Fb = Yfuncvec(2); 
Fc = Yfuncvec(3); 
% Explicit equations
T = 698; 
Cto = 1641/8.314/T; 
E = 24000; 
Ft = Fa + Fb + Fc; 
Ca = Cto * Fa / Ft; 
k = 0.29 * exp(E / 1.987 * (1 / 500 - (1 / T))); 
Fao = 0.0000226; 
vo = Fao / Cto; 
Tau = V / vo; 
ra = 0 - (k * Ca ^ 2); 
X = 1 - (Fa / Fao); 
rb = 0 - ra; 
rc = 0 - (ra / 2); 
% Differential equations
dFadV = ra; 
dFbdV = rb; 
dFcdV = rc; 
dYfuncvecdV = [dFadV; dFbdV; dFcdV]; 


